> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/vpc/modifyvpcsattribute.md).

# ModifyVpcsAttribute

## 1. API Description

This API (ModifyVpcsAttribute) is used to The API is used to modify the attributes of one or more VPCs. Only the VPC name to be displayed can be modified for now.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Batch operations are supported. Each request can modify up to 100 VPCs.</mark>
* <mark style="color:blue;">If any of the VPC IDs does not exist, the operation will fail immediately.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                           |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| vpcName        | Yes      | String          | <p>VPC name to be displayed.</p><p>This parameter can contain up to 64 characters. Only letters, numbers, - and periods (.) are supported.</p>                        |
| vpcIds         | Yes      | Array of String | <p>VPC ID(s).</p><p>To obtain the VPC IDs, you can call DescribeVpcs and look for vpcId in the response.</p><p>The maximum number of VPCs in each request is 100.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Modify VPC names in batch.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyVpcsAttribute
<Common Request Params>

Request:
{
  "vpcIds": [
    "675574041725115352"
  ],
  "vpcName": "111"
}

Response:
{
  "requestId": "T261F6869-69AE-4F8B-9C23-9A774C83C62D",
  "response": {
    "requestId": "T261F6869-69AE-4F8B-9C23-9A774C83C62D"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
